// File created 03/12/2015 with four space tab spacing

#ifndef _CLOCK_TIMER_H
#define _CLOCK_TIMER_H

#include "simpletools.h"

/// How often we update our clock.
#define TICK_TIME 1

/*
clock flags
*/
extern volatile uint8_t	clock_flag_10ms;
extern volatile uint8_t	clock_flag_250ms;
extern volatile uint8_t	clock_flag_1s;

// If the specific bit is set, execute the following
// block exactly once and then clear the flag.
#define ifclock(F) for(;F;F=0)

/*
timer stuff
*/
void clock_timer_init(void);
void clock_timer_stop(void);

#endif /* _CLOCK_TIMER_H */